uk.gov.hmrc.wco.dec

# Response

###
Related Doc: package dec

#### case class Response(functionCode: String, functionalReferenceId: Option[String] = None, issueDateTime: Option[ResponseDateTimeElement] = None, additionalInformation: Seq[ResponseAdditionalInformation] = Seq.empty, amendments: Seq[ResponseAmendment] = Seq.empty, appealOffice: Option[ResponseAppealOffice] = None, bank: Option[ResponseBank] = None, contactOffices: Seq[ResponseContactOffice] = Seq.empty, errors: Seq[ResponseError] = Seq.empty, status: Seq[ResponseStatus] = Seq.empty, declaration: Option[ResponseDeclaration] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Response
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Response(functionCode: String, functionalReferenceId: Option[String] = None, issueDateTime: Option[ResponseDateTimeElement] = None, additionalInformation: Seq[ResponseAdditionalInformation] = Seq.empty, amendments: Seq[ResponseAmendment] = Seq.empty, appealOffice: Option[ResponseAppealOffice] = None, bank: Option[ResponseBank] = None, contactOffices: Seq[ResponseContactOffice] = Seq.empty, errors: Seq[ResponseError] = Seq.empty, status: Seq[ResponseStatus] = Seq.empty, declaration: Option[ResponseDeclaration] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val additionalInformation: Seq[ResponseAdditionalInformation]

5. #### val amendments: Seq[ResponseAmendment]

6. #### val appealOffice: Option[ResponseAppealOffice]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### val bank: Option[ResponseBank]

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### val contactOffices: Seq[ResponseContactOffice]

11. #### val declaration: Option[ResponseDeclaration]

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### val errors: Seq[ResponseError]

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### val functionCode: String

16. #### val functionalReferenceId: Option[String]

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### val issueDateTime: Option[ResponseDateTimeElement]

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### val status: Seq[ResponseStatus]

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped